### Method

# Gtk Adjustmentconfigure

#### Declaration [src]

    void
    gtk_adjustment_configure (
      GtkAdjustment* adjustment,
      double value,
      double lower,
      double upper,
      double step_increment,
      double page_increment,
      double page_size
    )

#### Description [src]

Sets all properties of the adjustment at once.

Use this function to avoid multiple emissions of the `GtkAdjustment::changed` signal. See `gtk_adjustment_set_lower()` for an alternative way of compressing multiple emissions of `GtkAdjustment::changed` into one.

#### Parameters

`value`

  Type: `double`

  The new value.

`lower`

  Type: `double`

  The new minimum value.

`upper`

  Type: `double`

  The new maximum value.

`step_increment`

  Type: `double`

  The new step increment.

`page_increment`

  Type: `double`

  The new page increment.

`page_size`

  Type: `double`

  The new page size.